About SCM Adapter support on 64 Bit operating Systems

Technote (FAQ)


Question

Is the IBM Rational ClearCase SCM Adapter supported on 64 Bit operating Systems?

Answer


The SCM Adapter is not supported on Windows 64 Bit Operating Systems due to the incompatibility of the SCC API, which the SCM Adapter uses.**

A request for Enhancement has been formally rejected by IBM (refer to RFE ID 3444 for further details and to enter comments). **

Rational RFE Community

Refer to the Rational RFE Community homepage for details and status of Requests for Enhancements for Rational products.



** The SCM adapter can be used on a 64 Bit platform, if the Eclipse instances Java Runtime (JRE) is 32 Bit.


Other non-Windows platforms have not been tested, IBM is not aware of conflicts that would prevent a user from using the SCM Adapter although Linux 64 Bit systems have not been certified.

If a user chooses to install SCM Adapter on a non-Windows 64 Bit system, they would need to (after downloading the SCM Adapter,using 7.5.0 below as an example) modify:

/com.rational.clearcase.linux-v200910221234/eclipse/features/com.rational.clearcase.linux_7.5.0.v200910221234/feature.xml


replace the line:

  arch="sparc,x86"


with the following:

   arch="sparc,x86,x86_64"


In this example it would allow for 64 Bit installation on X86 hardware, other architectures (for example: ia64_32) may vary.

The latest SCM Adapter is available for download in the following document:

Rational ClearCase SCM Adapter (For Eclipse), Version 7.6.0.0


Note: The SCM is not a 64 Bit application, yet leverages ClearCase native client libraries on the host it is installed.


Further information about Eclipse plug-in compatibility and version support for the ClearCase SCM Adapter is available in the following document:

Eclipse plug-in compatibility and version support for the ClearCase SCM Adapter

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational ClearCase
ClearCase Remote Client

Software version:

7.1, 7.1.0.1, 7.1.0.2, 7.1.1, 7.1.1.1, 7.1.1.2, 7.1.1.3, 7.1.1.4, 7.1.2, 7.1.2.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

1460547

Modified date:

2012-07-31

Translate my page

Machine Translation

Content navigation